NETSize Struct Reference

`#include <netwm_def.h>`

## Public Member Functions

| NETSize ()

## Public Attributes

int | width
int | height

## Detailed Description

Simple size class for NET classes.

This class is a convenience class defining a size width by height. The existence of this class is to keep the implementation from being dependant on a separate framework/library.

NETSize is only used by the NET API. Usually QSize is the appropriate class for representing a size.

Author
  Bradley T. Hughes bhugh.nosp@m.es@t.nosp@m.rollt.nosp@m.ech..nosp@m.com

Definition at line 71 of file netwm_def.h.

## Constructor & Destructor Documentation

NETSize::NETSize | ( |  | ) |

inline

Constructor to initialize this size to 0x0.

Definition at line 75 of file netwm_def.h.

## Member Data Documentation

int NETSize::height

Height.

Definition at line 80 of file netwm_def.h.

int NETSize::width

Width.

Definition at line 80 of file netwm_def.h.

The documentation for this struct was generated from the following file:

- netwm_def.h

KDE Home | KDE Accessibility Home | Description of Access Keys